package com.house365.xxx.house.word.search.sell;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import javax.annotation.Resource;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;

import com.house365.xxx.house.word.search.CityAndDBManager;
import com.house365.xxx.house.word.search.DicType;
import com.house365.xxx.house.word.search.db.MDbcpPoolHelper;
import com.house365.xxx.house.word.search.dto.WordBean;
import com.house365.xxx.house.word.search.util.PinyinToolkit;

public abstract class SellLoader {
	@Resource
	protected MDbcpPoolHelper dbcpPoolHelper;
	@Resource
	protected CityAndDBManager cityAndDB;
	protected HashMap<String, Set<WordBean>> mapCityWordBean = new HashMap<String, Set<WordBean>>();

	public Set<WordBean> getWordBeanByCity(String city) {
		return mapCityWordBean.get(city);
	}

	public void loadWordBeans() {
		mapCityWordBean.clear();
		Set<String> citys = cityAndDB.getSellCitys();
		for (String city : citys) {
			Connection con = null;
			PreparedStatement ps = null;
			ResultSet rs = null;
			try {
				con = dbcpPoolHelper.getConn(cityAndDB.getSellDBByCity(city));
				ps = con.prepareStatement(getLoadSql());
				rs = ps.executeQuery();
				while (rs.next()) {
					int id = rs.getInt(1);
					String name = rs.getString(2);
					if (StringUtils.isNotBlank(name)) {
						WordBean wordBean = new WordBean(id, name,PinyinToolkit.cn2Spell(name), getDicType());
						if (mapCityWordBean.containsKey(city)) {
							mapCityWordBean.get(city).add(wordBean);
						} else {
							Set<WordBean> setWordBean = new HashSet<WordBean>();
							setWordBean.add(wordBean);
							mapCityWordBean.put(city, setWordBean);
						}
					}
				}
			} catch (SQLException e) {
				getLogger().error(e.getMessage(), e);
			} finally {
				dbcpPoolHelper.release(rs, ps, con);
			}
		}
	}

	protected abstract DicType getDicType();

	protected abstract String getLoadSql();

	protected abstract Log getLogger();
}
