package com.house365.xxx.house.word.search.servlet;

import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.ApplicationContext;

import com.alibaba.fastjson.JSON;
import com.house365.xxx.common.util.DefDocOutputDevice;
import com.house365.xxx.house.word.search.core.DistanceChecker;
import com.house365.xxx.house.word.search.dto.CheckResult;
import com.house365.xxx.house.word.search.dto.WordBean;
import com.house365.xxx.house.word.search.dto.WordRatio;

public class SellQuery extends HttpServlet {

	private static final long serialVersionUID = -1204947606286376668L;
	private static Log logger = LogFactory.getLog(SellQuery.class);
	private static DistanceChecker checker;

	public void init() throws ServletException {
		ApplicationContext applicationContext = InitServlet
				.getApplicationContext();
		checker = applicationContext.getBean(DistanceChecker.class);
	}

	public void doGet(HttpServletRequest request, HttpServletResponse response) {
		doPost(request, response);
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response) {
		try {
			request.setCharacterEncoding("UTF-8");
		} catch (UnsupportedEncodingException e) {
			logger.error(e.getMessage(), e);
		}
		String city = request.getParameter("city");
		String project = request.getParameter("project").trim();
		String t = request.getParameter("t");
		if (StringUtils.isNotBlank(city) && StringUtils.isNotBlank(project)) {
			List<WordRatio> lstWordRatio = null;
			if (t!=null&&t.equals("1")) {
				lstWordRatio = checker.getWordsFromSellByEquals(city, project);
			} else {
				lstWordRatio = checker.getWordsFromSell(city, project);
			}
			List<CheckResult> lstResult = new ArrayList<CheckResult>();
			for (WordRatio wr : lstWordRatio) {
				WordBean wb = wr.getWordBean();
				lstResult.add(new CheckResult(wb.getId(), wb.getWord(), wb
						.getType().getValue()));
			}
			DefDocOutputDevice.showJson(response, JSON.toJSONString(lstResult),
					"UTF-8");
		}
	}
}
