package com.house365.xxx.house.word.search.dto;

import com.house365.xxx.house.word.search.DicType;
import com.house365.xxx.house.word.search.util.OrderUtil;

public class WordBean {
	private int id;
	private String word;
	private String pinyin;
	private DicType type;
	private int dicOrder;
	private DistrictStreet districtStreet;
	private int sellCount;
	private int rentCount;
	private String alias;
	private String extInfo;
	private String averPrice;

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		result = prime * result + ((pinyin == null) ? 0 : pinyin.hashCode());
		result = prime * result + ((type == null) ? 0 : type.hashCode());
		result = prime * result + ((word == null) ? 0 : word.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		WordBean other = (WordBean) obj;
		if (id != other.id)
			return false;
		if (pinyin == null) {
			if (other.pinyin != null)
				return false;
		} else if (!pinyin.equals(other.pinyin))
			return false;
		if (type != other.type)
			return false;
		if (word == null) {
			if (other.word != null)
				return false;
		} else if (!word.equals(other.word))
			return false;
		return true;
	}

    public WordBean(int id, String word, String pinyin, DicType type, DistrictStreet districtStreet, int sellCount, int rentCount, String alias, String extInfo, String averPrice) {
        super();
        this.id = id;
        this.word = word;
        this.pinyin = pinyin;
        this.type = type;
        this.districtStreet = districtStreet;
        this.sellCount = sellCount;
        this.rentCount = rentCount;
        this.dicOrder = OrderUtil.getDicOrder(type);
        this.alias = alias;
        this.extInfo = extInfo;
        this.averPrice = averPrice;
    }

	public WordBean(int id, String word, DicType type) {
		super();
		this.id = id;
		this.word = word;
		this.type = type;
	}

	public String getPinyin() {
		return pinyin;
	}

	public void setPinyin(String pinyin) {
		this.pinyin = pinyin;
	}

	public DicType getType() {
		return type;
	}

	public void setType(DicType type) {
		this.type = type;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}


	public String getWord() {
		return word;
	}

	public void setWord(String word) {
		this.word = word;
	}

    public DistrictStreet getDistrictStreet() {
        return districtStreet;
    }

    public void setDistrictStreet(DistrictStreet districtStreet) {
        this.districtStreet = districtStreet;
    }

    public int getSellCount() {
        return sellCount;
    }

    public void setSellCount(int sellCount) {
        this.sellCount = sellCount;
    }

    public int getRentCount() {
        return rentCount;
    }

    public void setRentCount(int rentCount) {
        this.rentCount = rentCount;
    }

    public int getDicOrder() {
        return dicOrder;
    }

    public void setDicOrder(int dicOrder) {
        this.dicOrder = dicOrder;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getExtInfo() {
        return extInfo;
    }

    public void setExtInfo(String extInfo) {
        this.extInfo = extInfo;
    }

    public String getAverPrice() {
        return averPrice;
    }

    public void setAverPrice(String averPrice) {
        this.averPrice = averPrice;
    }
}
